﻿using Microsoft.Xna.Framework;
using xTile.Dimensions;
using StardewValley;
using StardewValley.Projectiles;
using StardewValley.TerrainFeatures;
using Microsoft.Xna.Framework.Graphics;
using StardewValley.Buffs;

namespace BossCreatures
{
	public class BossDebuff : Buff
	{
        public BossDebuff(string id, string source = null, string displaySource = null, int duration = -1, Texture2D iconTexture = null, int iconSheetIndex = -1, BuffEffects effects = null, bool? isDebuff = false, string displayName = null, string description = null) : base(id, source, displaySource, duration, iconTexture, iconSheetIndex, effects, isDebuff, displayName, description)
        {
		}

        public override void OnAdded()
		{
			if (id == "19")
			{
				Game1.player.currentLocation.temporarySprites.Clear();
				Game1.player.currentLocation.temporarySprites.Add(new TemporaryAnimatedSprite("TileSheets\\bushes", new Microsoft.Xna.Framework.Rectangle(32, 267, 15, 13), Game1.player.getStandingPosition() + new Vector2(-32f, -21f), flipped: false, 0f, Color.White)
				{
					layerDepth = (float)(Game1.player.StandingPixel.Y + 1) / 10000f+1,
					animationLength = 1,
					interval = 2000f,
					scale = 4f
				});
			}
		}
	}
}
