﻿namespace BossCreatures
{
	public class ModConfig
	{
		public bool ModEnabled { get; set; } = true;
		public bool BattleWeather { get; set; } = true;
		public int PercentChanceOfBossInMines { get; set; } = 100;
		public int PercentChanceOfBossInSkull { get; set; } = 100;
		public int PercentChanceOfBossInVolcanoDungeon { get; set; } = 100;
		public int PercentChanceOfBossInFarm { get; set; } = 0;
		public int PercentChanceOfBossInTown { get; set; } = 0;
		public int PercentChanceOfBossInForest { get; set; } = 0;
		public int PercentChanceOfBossInMountain { get; set; } = 0;
		public int PercentChanceOfBossInDesert { get; set; } = 10;
		public int PercentChanceOfBossInBugLand { get; set; } = 5;
		public int PercentChanceOfBossInWoods { get; set; } = 5;

		public int PercentChanceOfBossInCrimsonBadlands { get; set; } = 20;
		public float BaseUndergroundDifficulty { get; set; } = 1f;
		public float MinOverlandDifficulty { get; set; } = 0.5f;
		public float MaxOverlandDifficulty { get; set; } = 1.0f;
		public float WeightBugBossChance { get; set; } = 1f;
		public float WeightGhostBossChance { get; set; } = 1f;
		public float WeightSerpentBossChance { get; set; } = 1f;
		public float WeightSkeletonBossChance { get; set; } = 1f;
		public float WeightSkullBossChance { get; set; } = 1f;
		public float WeightSquidBossChance { get; set; } = 1f;
		public float WeightSlimeBossChance { get; set; } = 1f;
		public float WeightPlantGirlBossChance { get; set; } = 1f;
		public bool UseAlternateTextures { get; set; } = false;
		public bool BugBossInMine { get; set; } = true;
		public bool BugBossInSkull { get; set; } = true;
		public bool BugBossInVolcano { get; set; } = true;
		public bool BugBossInCrimsonBadlands { get; set; } = true;
		public float BugBossScale { get; set; } = 3.0f;
		public int BugBossHeight { get; set; } = 16;
		public int BugBossWidth { get; set; } = 16;
		public bool GhostBossInMine { get; set; } = true;
		public bool GhostBossInSkull { get; set; } = true;
		public bool GhostBossInVolcano { get; set; } = true;
		public bool GhostBossInCrimsonBadlands { get; set; } = true;
		public float GhostBossScale { get; set; } = 3.0f;
		public int GhostBossHeight { get; set; } = 24;
		public int GhostBossWidth { get; set; } = 16;
		public bool SerpentBossInMine { get; set; } = true;
		public bool SerpentBossInSkull { get; set; } = true;
		public bool SerpentBossInVolcano { get; set; } = true;
		public bool SerpentBossInCrimsonBadlands { get; set; } = true;
		public float SerpentBossScale { get; set; } = 2.0f;
		public int SerpentBossHeight { get; set; } = 32;
		public int SerpentBossWidth { get; set; } = 32;
		public bool SkeletonBossInMine { get; set; } = true;
		public bool SkeletonBossInSkull { get; set; } = true;
		public bool SkeletonBossInVolcano { get; set; } = true;
		public bool SkeletonBossInCrimsonBadlands { get; set; } = true;
		public float SkeletonBossScale { get; set; } = 3.0f;
		public int SkeletonBossHeight { get; set; } = 32;
		public int SkeletonBossWidth { get; set; } = 16;
		public bool SkullBossInMine { get; set; } = true;
		public bool SkullBossInSkull { get; set; } = true;
		public bool SkullBossInVolcano { get; set; } = true;
		public bool SkullBossInCrimsonBadlands { get; set; } = true;
		public float SkullBossScale { get; set; } = 3.0f;
		public int SkullBossHeight { get; set; } = 16;
		public int SkullBossWidth { get; set; } = 16;
		public bool SquidKidBossInMine { get; set; } = true;
		public bool SquidKidBossInSkull { get; set; } = true;
		public bool SquidKidBossInVolcano { get; set; } = true;
		public bool SquidKidBossInCrimsonBadlands { get; set; } = true;
		public float SquidKidBossScale { get; set; } = 4.0f;
		public int SquidKidBossHeight { get; set; } = 16;
		public int SquidKidBossWidth { get; set; } = 16;
		public bool SlimeBossInMine { get; set; } = true;
		public bool SlimeBossInSkull { get; set; } = true;
		public bool SlimeBossInVolcano { get; set; } = true;
		public bool SlimeBossInCrimsonBadlands { get; set; } = true;
		public float SlimeBossScale { get; set; } = 2.0f;
		public int SlimeBossHeight { get; set; } = 32;
		public int SlimeBossWidth { get; set; } = 32;
		public float PlantGirlBossScale { get; set; } = 0.65f;
		public int PlantGirlBossHeight { get; set; } = 64;
		public int PlantGirlBossWidth { get; set; } = 64;
		public bool PlantGirlBossInMine { get; set; } = true;
		public bool PlantGirlBossInSkull { get; set; } = true;
		public bool PlantGirlBossInVolcano { get; set; } = true;
		public bool PlantGirlBossInCrimsonBadlands { get; set; } = true;
		public string BattleMusic {get; set; } = "cowboy_boss";
		public string VictorySound {get; set; } = "Cowboy_Secret";
	}
}
